Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588482 - (libktorrent) Review Request: libktorrent - Library providing torrent downloading code
Review Request: libktorrent - Library providing torrent downloading code
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 15:28 EDT by Rex Dieter
Modified: 2010-07-26 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 13:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-05-03 15:28:37 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libktorrent/libktorrent.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libktorrent/libktorrent-1.0-0.1.rc1.fc13.src.rpm
Description: Library providing torrent downloading code

needed for update to ktorrent-4.0rc1

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2158962

rpmlint *.rpm x86_64/*.rpm
libktorrent-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Chen Lei 2010-05-04 02:15:53 EDT
+:ok, =:needs attention, -:needs fixing
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>292a4c4f3d7027cd649dc2aed94b0d62 
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using
the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[N/A] MUST: If the package is designed to be relocatable, the packager must
state
this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[N/A] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[N/A] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

This package is approved!

Only some suggestions:
1.BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
can be removed from spec
https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

2.Requires: kdelibs4-devel can be changed to Requires: kdelibs4-devel%{?_isa}
https://fedoraproject.org/wiki/PackagingDrafts/ArchSpecificRequires

3.-doc subpackage can be generated from source, maybe someone will need doxygen generated html documentations.
Comment 2 Chen Lei 2010-05-04 02:25:03 EDT
Also libktorrent-devel and libktorrent should Provides and Obsoletes ktorrent-devel and ktorrent-libs to provide a sanely upgrade of ktorrent.
Comment 3 Rex Dieter 2010-05-04 07:08:07 EDT
Thanks!

New Package CVS Request
=======================
Package Name: libktorrent
Short Description: Library providing torrent downloading code
Owners: rdieter liquidat tuxbrewr
Branches: F-12 F-13
InitialCC:
Comment 4 Kevin Fenzi 2010-05-06 11:48:33 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.